## ros-indigo-ekf-localization 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ekf_localization)

find_package(PkgConfig)
pkg_check_modules(BFL REQUIRED orocos-bfl)

link_directories(${BFL_LIBRARY_DIRS})


find_package(PCL)
find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED
  roscpp
  sensor_msgs
  std_msgs
  tf
  tf_conversions
  laser_geometry
pcl_ros)

catkin_package(
#  INCLUDE_DIRS include
  LIBRARIES pose_estimation_ekf
#  CATKIN_DEPENDS cv_bridge geometry_msgs message_filters roscpp sensor_msgs std_msgs tf
#  DEPENDS system_lib
#   CATKIN_DEPENDS message_runtime
)

include_directories(${BFL_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})
include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)
## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages


# catkin_add_nosetests(test)
add_library(pose_estimation_ekf src/bayesian_filtering/nonlinearanalyticconditionalgaussianmobile.cpp)
target_link_libraries(pose_estimation_ekf ${BFL_LIBRARIES} )

add_executable(ekf_localization_node src/main.cpp src/kalman.cpp src/featuresextractor.cpp)
target_link_libraries(ekf_localization_node pose_estimation_ekf ${catkin_LIBRARIES} ${OpenCV_LIBRARIES} ${Boost_LIBRARIES} ${BFL_LIBRARIES})

=== debian/changelog ===
ros-indigo-ekf-localization (0.0.2-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- rui <rui@todo.todo>  Wed, 27 Apr 2016 14:54:14 -0000

ros-indigo-ekf-localization (0.0.1-0trusty) trusty; urgency=high

  * more fixes
  * added visualziation_msgs dependency
  * fix
  * fixing travis testing problems
  * added opencv dependency to travis.yml
  * fix
  * changed dependencies file
  * Merge branch 'master' of https://github.com/vislab-tecnico-lisboa/ekf_localization
  * travis tests
  * Delete CMakeLists.txt.user
  * gitignoring .user files
  * porting to vislab
  * porting to vislab
  * Initial commit
  * fixes
  * fixes
  * fixes
  * working on the update frequency stuff
  * fixes
  * fixes
  * integrated orocos Bayesian library
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * fixes
  * first commit
  * Contributors: Rui Miguel Horta Pimentel de Figueiredo, ruipimentelfigueiredo

 -- rui <rui@todo.todo>  Tue, 26 Apr 2016 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-ekf-localization
Section: misc
Priority: extra
Maintainer: rui <rui@todo.todo>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-indigo-bfl, ros-indigo-catkin, ros-indigo-laser-geometry, ros-indigo-nav-msgs, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-ekf-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-indigo-bfl, ros-indigo-laser-geometry, ros-indigo-nav-msgs, ros-indigo-pcl-ros, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Description: The advanced_robotics package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ekf-localization//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
